Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Panel::CircuitDeletedEvent Struct Reference

Event: A circuit was deleted. More...

Inheritance diagram for pdumodel::Panel::CircuitDeletedEvent:

## Public Attributes
Circuit::Config | config
| Old circuit config.
Circuit::Settings | settings
| Old circuit settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A circuit was deleted.

Definition at line 82 of file Panel.idl.

## Member Data Documentation

## ◆ config

Circuit::Config pdumodel::Panel::CircuitDeletedEvent::config

Old circuit config.

Definition at line 83 of file Panel.idl.

## ◆ settings

Circuit::Settings pdumodel::Panel::CircuitDeletedEvent::settings

Old circuit settings.

Definition at line 84 of file Panel.idl.

The documentation for this struct was generated from the following file:

- Panel.idl